3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php function foo() { try { throw new Exception('test'); } catch (Exception $e) { print "catch and rethrow!\n"; throw $e; } finally { print "finally!\n"; } } foo();
based on ddBlG
Output for 7.0.0 - 7.2.0
catch and rethrow! finally! Fatal error: Uncaught Exception: test in /in/P0Krr:5 Stack trace: #0 /in/P0Krr(14): foo() #1 {main} thrown in /in/P0Krr on line 5
Process exited with code 255.
Output for 5.5.24 - 5.6.28
catch and rethrow! finally! Fatal error: Uncaught exception 'Exception' with message 'test' in /in/P0Krr:5 Stack trace: #0 /in/P0Krr(14): foo() #1 {main} thrown in /in/P0Krr on line 5
Process exited with code 255.
Output for 5.3.20 - 5.4.45
Parse error: syntax error, unexpected '{' in /in/P0Krr on line 9
Process exited with code 255.